GlueGen: com.jogamp.junit.util.JunitTracer Class Reference

GlueGen v2.6.0-rc-20250706 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
com.jogamp.junit.util.JunitTracer Class Referenceabstract
Inheritance diagram for com.jogamp.junit.util.JunitTracer:
Collaboration diagram for com.jogamp.junit.util.JunitTracer:

## Public Member Functions

final String | getTestMethodName ()
final String | getSimpleTestName (final String separator)
final String | getFullTestName (final String separator)
final void | setUpBase ()
final void | tearDownBase ()

## Static Public Member Functions

static final boolean | isTestSupported ()
static final void | setTestSupported (final boolean v)
static final void | oneTimeSetUpBase ()
static final void | oneTimeTearDownBase ()
static void | waitForKey (final String preMessage)

## Public Attributes

final TestName | _unitTestName = new TestName()

## Detailed Description

Definition at line 47 of file JunitTracer.java.

## Member Function Documentation

## ◆ getFullTestName()

final String com.jogamp.junit.util.JunitTracer.getFullTestName | ( | final String | separator | ) |

Definition at line 69 of file JunitTracer.java.

## ◆ getSimpleTestName()

final String com.jogamp.junit.util.JunitTracer.getSimpleTestName | ( | final String | separator | ) |

Definition at line 65 of file JunitTracer.java.

## ◆ getTestMethodName()

final String com.jogamp.junit.util.JunitTracer.getTestMethodName | ( |  | ) |

Definition at line 61 of file JunitTracer.java.

## ◆ isTestSupported()

static final boolean com.jogamp.junit.util.JunitTracer.isTestSupported | ( |  | ) |

static

Definition at line 52 of file JunitTracer.java.

## ◆ oneTimeSetUpBase()

static final void com.jogamp.junit.util.JunitTracer.oneTimeSetUpBase | ( |  | ) |

static

Definition at line 74 of file JunitTracer.java.

## ◆ oneTimeTearDownBase()

static final void com.jogamp.junit.util.JunitTracer.oneTimeTearDownBase | ( |  | ) |

static

Definition at line 79 of file JunitTracer.java.

## ◆ setTestSupported()

static final void com.jogamp.junit.util.JunitTracer.setTestSupported | ( | final boolean | v | ) |

static

Definition at line 56 of file JunitTracer.java.

## ◆ setUpBase()

final void com.jogamp.junit.util.JunitTracer.setUpBase | ( |  | ) |

Definition at line 85 of file JunitTracer.java.

## ◆ tearDownBase()

final void com.jogamp.junit.util.JunitTracer.tearDownBase | ( |  | ) |

Definition at line 95 of file JunitTracer.java.

## ◆ waitForKey()

static void com.jogamp.junit.util.JunitTracer.waitForKey | ( | final String | preMessage | ) |

static

Definition at line 101 of file JunitTracer.java.

## Member Data Documentation

## ◆ _unitTestName

final TestName com.jogamp.junit.util.JunitTracer._unitTestName = new TestName()

Definition at line 48 of file JunitTracer.java.

The documentation for this class was generated from the following file:

- src/junit/com/jogamp/junit/util/JunitTracer.java